Agent-readable docs index: /llms.txt. Full docs in one file: /llms-full.txt. Download /docs.zip to grep all markdown files locally.
/v1/accounts/{accountId}/tradesGET
Authorization
bearerAuth *Bearer <token>
Token in: header
Path Parameters
accountId *string
Min length: 1
Query Parameters
from?string
UTC ISO 8601 start of the interval. Defaults to 30 days before to. The interval cannot exceed 90 days and from must be earlier than to.
to?string
UTC ISO 8601 end of the interval. Defaults to the current time.
limit?integer
Page size between 1 and 1000. Defaults to 100.
Default: 100Min: 1Max: 1000
cursor?string
Opaque pagination cursor from a previous response. Bound to the account and query window; replaces from and to.
Response
200 · Closed trades
accountId *string
login *string
server *string
observedAt *string
latencyMs *number
data *object[]
Show item properties
id *string
positionId *string
symbol *string
side *"buy" | "sell"
volume *string
closePrice *string
profit *string
commission *string
swap *string
closedAt *string
nextCursor *stringnull
400 · Invalid request
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
401 · Invalid API key
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
403 · Insufficient API key scope
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
404 · Resource not found
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
409 · Account is not active
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
422 · The broker or terminal rejected the operation
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
429 · Rate limit exceeded
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
500 · Unexpected failure
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
503 · Capacity exhausted or upstream unavailable
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
504 · Upstream request timed out
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
Request example
curl -X GET "https://api.fivesocket.com/v1/accounts/<accountId>/trades" \ -H "Authorization: Bearer <token>"